#!/usr/bin/env python

#-----------------------------------------------------------------------
# copybytes.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys

MAX_BYTE_COUNT = 512  # Arbitrary

def main():

    if len(sys.argv) != 3:
        print('usage: python %s infile outfile' % sys.argv[0],
            file=sys.stderr)
        sys.exit(1)

    in_name = sys.argv[1]
    out_name = sys.argv[2]

    try:
        in_file = open(in_name, mode='rb')
        out_file = open(out_name, mode='wb')

        byte_array = in_file.read(MAX_BYTE_COUNT)
        while byte_array != b'':
            out_file.write(byte_array)
            byte_array = in_file.read(MAX_BYTE_COUNT)

        out_file.close()
        in_file.close()

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

if __name__ == '__main__':
    main()
