#!/usr/bin/env python

#-----------------------------------------------------------------------
# copystrings.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys

def main():

    if len(sys.argv) != 3:
        print('usage: python %s infile outfile' % sys.argv[0],
            file=sys.stderr)
        sys.exit(1)

    in_name = sys.argv[1]
    out_name = sys.argv[2]

    try:
        in_file = open(in_name, mode='r', encoding='utf-8')
        out_file = open(out_name, mode='w', encoding='utf-8')

        for line in in_file:
            out_file.write(line)

        out_file.close()
        in_file.close()

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

if __name__ == '__main__':
    main()
