#!/usr/bin/env python

#-----------------------------------------------------------------------
# copystringswith.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys

def main():

    if len(sys.argv) != 3:
        print('usage: python %s infile outfile' % sys.argv[0],
            file=sys.stderr)
        sys.exit(1)

    in_name = sys.argv[1]
    out_name  = sys.argv[2]

    try:
        with open(in_name, mode='r', encoding='utf-8') as in_file:
            with open(out_name, mode='w', encoding='utf-8') as out_file:
                for line in in_file:
                    out_file.write(line)

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

if __name__ == '__main__':
    main()
