#!/usr/bin/env python

#-----------------------------------------------------------------------
# fractionclient.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import fraction

def main():

    try:

        line = input('Numerator 1: ')
        num1 = int(line)
        line = input('Denominator 1: ')
        den1 = int(line)
        line = input('Numerator 2: ')
        num2 = int(line)
        line = input('Denominator 2: ')
        den2 = int(line)

        frac1 = fraction.Fraction(num1, den1)
        print('frac1:', str(frac1))  # Same as frac1.__str__()

        frac2 = fraction.Fraction(num2, den2)
        print('frac2:', frac2)  # print() calls str(frac2)
                                # Same as frac2.__str__()

        print('frac1 hashcode:', hash(frac1)) # Same as frac1.__hash__()

        if frac1 == frac2:  # Same as frac1.__eq__(frac2)
            print('frac1 equals frac2')
        if frac1 != frac2:  # Same as frac1.__ne__(frac2)
            print('frac1 does not equal frac2')
        if frac1 < frac2:  # Same as frac1.__lt__(frac2)
            print('frac1 is less than frac2')
        if frac1 > frac2:  # Same as frac1.__gt__(frac2)
            print('frac1 is greater than frac2')
        if frac1 <= frac2:  # Same as frac1.__le__(frac2)
            print('frac1 is less than or equal to frac2')
        if frac1 >= frac2:  # Same as frac1.__ge__(frac2)
            print('frac1 is greater than or equal to frac2')

        frac3 = -frac1  # Same as frac1.__neg__()
        print('-frac1:', frac3)

        frac3 = frac1 + frac2  # Same as frac1.__add__(frac2)
        print('frac1 + frac2:', frac3)

        frac3 = frac1 - frac2  # Same as frac1.__sub__(frac2)
        print('frac1 - frac2:', frac3)

        frac3 = frac1 * frac2  # Same as frac1.__mul__(frac2)
        print('frac1 * frac2:', frac3)

        frac3 = frac1 / frac2  # Same as frac1.__truediv__(frac2)
        print('frac1 / frac2:', frac3)

    except Exception as ex:
        print(str(ex), file=sys.stderr)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
