#!/usr/bin/env python

#-----------------------------------------------------------------------
# fibonacci.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

def fib(num):

    if num < 0:
        raise ValueError()
    if num == 0:
        return 0
    if num == 1:
        return 1

    # The Wikipedia "Fibonacci Numbers" article describes some
    # approaches that are more efficient.

    second_prev = 0
    first_prev = 1
    while num > 1:
        current = second_prev + first_prev
        second_prev = first_prev
        first_prev = current
        num -= 1

    return current
